package com.mortals.xhx.module.basic.model;
import java.util.List;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.basic.model.vo.BasicSetVo;
import com.mortals.xhx.module.basic.model.BasicStatusEntity;
import lombok.Data;
/**
* 基础设置实体对象
*
* @author zxfei
* @date 2023-05-23
*/
@Data
public class BasicSetEntity extends BasicSetVo {
    private static final long serialVersionUID = 1L;

    /**
    * 是否显示照片(0.否,1.是)
    */
    private Integer showPhoto;
    /**
    * 是否显示姓名 (0.否,1.是)
    */
    private Integer showName;
    /**
    * 是否显示职位(0.否,1.是)
    */
    private Integer showPost;
    /**
    * 是否显示在岗状态(0.否,1.是)
    */
    private Integer showWork;
    /**
    * 是否显示电话(0.否,1.是)
    */
    private Integer showPhone;
    /**
    * 显示电子门牌信息(0.显示时间,1.自定义内容)
    */
    private Integer showElect;
    /**
    * 显示电子门牌信息自定义内容
    */
    private String showElectDesc;
    /**
    * 显示会议室门牌信息(0.显示时间,1.自定义内容)
    */
    private Integer showMeet;
    /**
    * 显示会议室门牌信息自定义内容
    */
    private String showMeetDesc;
    /**
    * 备注
    */
    private String remark;
    /**
    * 状态设置信息
    */
    private List<BasicStatusEntity> basicStatusList=new ArrayList<>();;
    public List<BasicStatusEntity> getBasicStatusList(){
      return basicStatusList;
    }

    public void setBasicStatusList(List<BasicStatusEntity> basicStatusList){
        this.basicStatusList = basicStatusList;
    }
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof BasicSetEntity) {
            BasicSetEntity tmp = (BasicSetEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.showPhoto = 0;

            this.showName = 0;

            this.showPost = 0;

            this.showWork = 0;

            this.showPhone = 0;

            this.showElect = 0;

            this.showElectDesc = "";

            this.showMeet = 0;

            this.showMeetDesc = "";

            this.remark = "";
    }
}